# Build

```
$ npm install
```

# Usage

## Sanitizers

Supports for ASAN and LSAN is implemented in the tool currently.
This is a painstaking process as the output is not easily machine-readable.

```
$ ./bin/mela.js parse --format=sanitizers asan.log.393 --output-directory=reports
```

In order to generate ASAN logs, you can set the `log_path` option in
`$ASAN_OPTIONS`. For example:

```
ASAN_OPTIONS="halt_on_error=0:log_path=asan.log" ./my_program
```

## Valgrind

memcheck is supported easily with XML output from valgrind.

```
$ ./bin/mela.js parse --format=valgrind valgrind.xml --output-directory=reports
```

# Upload Errors

Errors can be sent directly to your Backtrace instance. Final version
will be able to send the reports directly, for now, you will have to
use morgue.

```
$ for i in reports/*.json; do morgue put <project> --format=json $i; done
```

