const PromisePool = require("es6-promise-pool");

class Pool {
  constructor(concurrency=10) {
    this.queue = [];
    this.concurrency = concurrency;
  }
  next() {
    const r = this.queue.pop();
    if (this.queue.length == 0){
        this.manager = null;
    }
    return r ? r() : null;
  }
  hire() {
    this.manager = new PromisePool(() => this.next(), this.concurrency);
    setTimeout(() => this.start(), 0);
  }
  start() {
    this.manager.start();
  }
  add(n) {
    this.queue.unshift(n);
    this.manager ? null : this.hire() ;
  }
}
module.exports = Pool;