/// <reference types="node" />
/// <reference types="node" />
import { BacktraceAttachment, BacktraceReportSubmissionResult, BacktraceRequestHandler, BacktraceSubmissionResponse } from '@backtrace/sdk-core';
import { Readable } from 'stream';
export declare class BacktraceNodeRequestHandler implements BacktraceRequestHandler {
    private readonly _options;
    private readonly UPLOAD_FILE_NAME;
    private readonly _timeout;
    private readonly JSON_HEADERS;
    constructor(_options: {
        url: string;
        token?: string;
        timeout?: number;
        ignoreSslCertificate?: boolean;
    });
    postError(submissionUrl: string, dataJson: string, attachments: BacktraceAttachment<Buffer | Readable | string | Uint8Array>[], abortSignal?: AbortSignal): Promise<BacktraceReportSubmissionResult<BacktraceSubmissionResponse>>;
    post<T>(submissionUrl: string, payload: string, abortSignal?: AbortSignal): Promise<BacktraceReportSubmissionResult<T>>;
    private send;
    private getHttpClient;
    private createFormData;
}
