"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textFormatter = void 0;
const jsonEscaper_1 = require("./jsonEscaper");
function textFormatter() {
    var _a;
    const defaultFormatter = fallbackFormatter((0, jsonEscaper_1.jsonEscaper)());
    try {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        const util = require('util');
        return (_a = util.format) !== null && _a !== void 0 ? _a : defaultFormatter;
    }
    catch (_b) {
        return defaultFormatter;
    }
}
exports.textFormatter = textFormatter;
function fallbackFormatter(jsonEscapeFunction) {
    return function fallbackFormatter(...params) {
        let result = '';
        for (const param of params) {
            result += typeof param === 'object' ? JSON.stringify(param, jsonEscapeFunction) : param === null || param === void 0 ? void 0 : param.toString();
        }
        return result;
    };
}
//# sourceMappingURL=textFormatter.js.map