"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestBacktraceReportSubmission = void 0;
const jsonEscaper_1 = require("../../common/jsonEscaper");
const SubmissionUrlInformation_1 = require("./SubmissionUrlInformation");
class RequestBacktraceReportSubmission {
    constructor(options, _requestHandler) {
        this._requestHandler = _requestHandler;
        this._submissionUrl = SubmissionUrlInformation_1.SubmissionUrlInformation.toJsonReportSubmissionUrl(options.url, options.token);
    }
    send(data, attachments, abortSignal) {
        const json = JSON.stringify(data, (0, jsonEscaper_1.jsonEscaper)());
        return this._requestHandler.postError(this._submissionUrl, json, attachments, abortSignal);
    }
}
exports.RequestBacktraceReportSubmission = RequestBacktraceReportSubmission;
//# sourceMappingURL=BacktraceReportSubmission.js.map