import { BacktraceAttachment } from '../../../model/attachment';
import { RawBreadcrumb } from '../model/RawBreadcrumb';
import { BreadcrumbsStorage } from './BreadcrumbsStorage';
export declare class InMemoryBreadcrumbsStorage implements BreadcrumbsStorage, BacktraceAttachment {
    get lastBreadcrumbId(): number;
    /**
     * Breadcrumb name
     */
    readonly name: string;
    private _lastBreadcrumbId;
    private _breadcrumbs;
    constructor(maximumBreadcrumbs?: number);
    getAttachments(): BacktraceAttachment<unknown>[];
    /**
     * Returns breadcrumbs in the JSON format
     * @returns Breadcrumbs JSON
     */
    get(): string;
    add(rawBreadcrumb: RawBreadcrumb): number;
}
