"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricsUrlInformation = void 0;
const http_1 = require("../../model/http");
class MetricsUrlInformation {
    static generateSummedEventsUrl(hostname, submissionUrl, credentialsToken) {
        const submissionInformation = this.findSubmissionInformation(submissionUrl, credentialsToken);
        if (!submissionInformation) {
            return undefined;
        }
        return this.generateEventsServiceUrl(hostname, 'summed-events', submissionInformation.universe, submissionInformation.token);
    }
    static generateUniqueEventsUrl(hostname, submissionUrl, credentialsToken) {
        const submissionInformation = this.findSubmissionInformation(submissionUrl, credentialsToken);
        if (!submissionInformation) {
            return undefined;
        }
        return this.generateEventsServiceUrl(hostname, 'unique-events', submissionInformation.universe, submissionInformation.token);
    }
    static generateEventsServiceUrl(hostname, eventServiceName, universe, token) {
        return new URL(`/api/${eventServiceName}/submit?universe=${universe}&token=${token}`, hostname).toString();
    }
    static findSubmissionInformation(submissionUrl, token) {
        const universe = http_1.SubmissionUrlInformation.findUniverse(submissionUrl);
        if (!universe) {
            return undefined;
        }
        token = token !== null && token !== void 0 ? token : http_1.SubmissionUrlInformation.findToken(submissionUrl);
        if (!token) {
            return undefined;
        }
        return { universe, token };
    }
}
exports.MetricsUrlInformation = MetricsUrlInformation;
//# sourceMappingURL=MetricsUrlInformation.js.map