import { BacktraceModule } from '../BacktraceModule';
import { FileSystem } from './FileSystem';
export declare class SessionFiles implements BacktraceModule {
    private readonly _fileSystem;
    private readonly _directory;
    readonly sessionId: string;
    private readonly _maxPreviousLockedSessions;
    private readonly _timestamp;
    private readonly _lockable;
    readonly marker: string;
    private readonly _events;
    private readonly _escapedSessionId;
    private readonly _locks;
    private _previousSession?;
    private _cleared;
    constructor(_fileSystem: FileSystem, _directory: string, sessionId: string, _maxPreviousLockedSessions?: number, _timestamp?: number, _lockable?: boolean);
    initialize(): void;
    getPreviousSession(): SessionFiles | undefined;
    getSessionWithId(sessionId: string): SessionFiles | undefined;
    getPreviousSessions(count?: number): SessionFiles[];
    lockPreviousSessions(lockId?: string): string;
    unlockPreviousSessions(lockId: string): void;
    clearPreviousSessions(): void;
    getFileName(prefix: string): string;
    getSessionFiles(): string[];
    clearSession(): void;
    lock(lockId?: string): string | undefined;
    unlock(lockId: string): void;
    private getFileSession;
    private readDirectoryFiles;
    private createSessionMarker;
    private escapeFileName;
    private unescapeFileName;
    private splitByOneChar;
    private throwIfCleared;
}
